[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpClosedir

Close directory file descriptor

## Declaration

Source position: bunxh.inc line 73

`function FpClosedir(`
`var dirp: Dir`
`):cint;`

## Description

FpCloseDir closes the directory pointed to by dirp. It returns zero if the directory was closed successfully, -1 otherwise.

For an example, see fpOpenDir.

## Errors

Extended error information can be retrieved using fpGetErrno.

## See also

FpOpenDir |  | Open a directory for reading
FpReadDir |  | Read entry from directory